# Apps that bundle malware

Unfortunately, in the world of software there are bad actors that bundle malware with their apps. Even so, Homebrew-Cask has long decided it is not a gatekeeper ([macOS already has one](https://support.apple.com/en-us/HT202491)) and [users are expected to know about the software they are installing](not_a_discoverability_service.md). This means we will not remove casks that link to these apps. We have several reasons for this, summarised in [a comment on issue #21399](https://github.com/caskroom/homebrew-cask/issues/21399#issuecomment-223148829).

Within that context, we would still like for users to enjoy some kind of protection while minimising occurrences of legitimate developers being branded as malware carriers. We feel removing casks is an ineffective band-aid and the issue needs to be tackled earlier in the chain: at the macOS level.

If an app that bundles malware was not signed with an Apple Developer ID and you purposefully disabled or bypassed Gatekeeper, no action will be taken on our part. When you disable security features, you do so at your own risk. If, however, an app that bundles malware is signed, Apple can revoke its permissions and it will no longer run on the computers of users that keep security features on — we all benefit, Homebrew-Cask users or not. **Note that for the time being, Homebrew-Cask will not quarantine download files. See [issue #22388](https://github.com/caskroom/homebrew-cask/issues/22388)**.

To report a signed app that bundles malware, follow these steps:

* Go to [Apple’s Bug Reporter](https://bugreport.apple.com/) and report the app that bundles malware. Be as precise as possible about how you know it bundles malware, and what steps reproduce your conclusions. Be sure to include relevant URLs, such as the app’s homepage.
* Make the report public at [Open Radar](http://www.openradar.me/).
* Submit a pull request with a [`malware` `caveat`](https://github.com/caskroom/homebrew-cask/blob/master/doc/cask_language_reference/stanzas/caveats.md#caveats-mini-dsl).
